Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.entity
Class PlanningEntityDescriptor

    java.lang.Object
      org.drools.planner.core.domain.entity.PlanningEntityDescriptor

    public class PlanningEntityDescriptor

extends Object

Constructor Summary
`PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor, Class<?> planningEntityClass)`

Method Summary
`List<Object>` | `extractEntities(Solution solution)`
`Class<?>` | `getPlanningEntityClass()`
`PlanningEntitySorter` | `getPlanningEntitySorter()`
`PlanningVariableDescriptor` | `getPlanningVariableDescriptor(String propertyName)`
`Collection<PlanningVariableDescriptor>` | `getPlanningVariableDescriptors()`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)`
`SolutionDescriptor` | `getSolutionDescriptor()`
`boolean` | `isInitialized(Object planningEntity)`
`void` | `processAnnotations()`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningEntityDescriptor

    public PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor,
                                    Class<?> planningEntityClass)

Method Detail

### processAnnotations

    public void processAnnotations()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getPlanningEntityClass

    public Class<?> getPlanningEntityClass()

### getPlanningEntitySorter

    public PlanningEntitySorter getPlanningEntitySorter()

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)

### getPlanningVariableDescriptors

    public Collection<PlanningVariableDescriptor> getPlanningVariableDescriptors()

### getPlanningVariableDescriptor

    public PlanningVariableDescriptor getPlanningVariableDescriptor(String propertyName)

### extractEntities

    public List<Object> extractEntities(Solution solution)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

### isInitialized

    public boolean isInitialized(Object planningEntity)

### uninitialize

    public void uninitialize(Object planningEntity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.